/* Copyright 2004, 2005 Lei Zhang, Columbia University */
/* This file is part of THINC.

    THINC is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    THINC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with THINC.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __TSEVENT_H__
#define __TSEVENT_H__

#define MAX_EVENT 64
typedef struct EventList_s {
	HANDLE hEvents[MAX_EVENT];	
	SOCKET sockets[MAX_EVENT];
	int num;
} EventSocketList, *PEventSocketList;

extern PEventSocketList pEventSocketList;

BOOL InitEventSocketList(/*PEventSocketList pEventSocketList*/);

BOOL AddSocket(/*PEventSocketList pEventSocketList,*/ SOCKET sock);	
BOOL RemoveSocket(/*PEventSocketList pEventSocketList,*/ SOCKET sock);

BOOL AddEvent(/*PEventSocketList pEventSocketList,*/ HANDLE hEvent);
BOOL RemoveEvent(/*PEventSocketList pEventSocketList,*/ HANDLE hEvent);


//BOOL AddEnabledDevice(SOCKET sock);
//BOOL RemoveEnabledDevice(SOCKET sock);

#endif /*__TSEVENT_H__*/