/*
 * timeval.h    1.0 01/12/19
 *
 * Defines gettimeofday, timeval, etc. for Win32
 *
 * By Wu Yongwei
 *
 */

/* 
 * from: http://mywebpage.netscape.com/yongweiwu/time.htm
 */

#ifndef _TIMEVAL_H
#define _TIMEVAL_H




struct timezone {
    int tz_minuteswest; /* minutes W of Greenwich */
    int tz_dsttime;     /* type of dst correction */
};

 int gettimeofday(struct timeval *tv, struct timezone *tz);

#endif /* _TIMEVAL_H */
