/*
 *
 * Bit insertion and extraction utilities
 *
 * Ricardo Baratto
 * Network Computing Lab - Columbia University
 */

#ifndef _THINC_BITFUN_H_
#define _THINC_BITFUN_H_

void t_bit_insert(unsigned char *cptr, unsigned long bit_offset, 
	unsigned long bit_len, long value);
unsigned long t_bit_extract(const unsigned char *cptr, unsigned long bit_offset, 
	unsigned long bit_len);
void dec_to_bin(unsigned long n);

#endif /* _BITFUN_H_ */
