/*
 * $Author: $
 *
 * header for thinc's resize library
 *
 * Author:
 * Ricardo Baratto
 * Network Computing Lab - Columbia University
 *
 */

/* set tabstop 8 */

#include "thincCommon.h"

int thinc_resize8(unsigned char *in, unsigned char *out, unsigned int inw, 
        unsigned int inh, unsigned int outw, unsigned outh, 
        unsigned int instride, unsigned int outstride);
int thinc_resize16(unsigned char *in, unsigned char *out, unsigned int inw, 
        unsigned int inh, unsigned int outw, unsigned outh, 
        unsigned int instride, unsigned int outstride);
int thinc_resize32(unsigned char *in, unsigned char *out, unsigned int inw, 
        unsigned int inh, unsigned int outw, unsigned outh, 
        unsigned int instride, unsigned int outstride);
#if 0
int thinc_resizeyuv(unsigned char *in, unsigned char *out, unsigned int inw, 
			unsigned int inh, unsigned int outw, unsigned outh);
#else
int thinc_resizeyuv(
	unsigned char *iny, unsigned char *inu, unsigned char *inv,
	unsigned char *outy, unsigned char *outu,  unsigned char *outv,
	unsigned int inw, unsigned int inh, unsigned int outw, unsigned outh);
#endif
