/******************************Module*Header*******************************\
*
*                           *******************
*                           * GDI SAMPLE CODE *
*                           *******************
*
* Module Name: clip.h
*
* External interface for clip.h
*
* Copyright (c) 1994-1998 3Dlabs Inc. Ltd. All rights reserved.
* Copyright (c) 1995-1999 Microsoft Corporation.  All rights reserved.
\**************************************************************************/

#ifndef __CLIP__
/* refer to \3dlabs\perm2\disp\clip.h@line: 15 */

/* refer to \3dlabs\perm2\disp\gdi.h@line: 19 */  // We'll take 800 bytes of stack space
#include "driver.h"
/* refer to \3dlabs\perm2\disp\gdi.h@line: 21 */
/* refer to \3dlabs\perm2\disp\gdi.h@line: 22 */
/* refer to \3dlabs\perm2\disp\gdi.h@line: 23 */
/* refer to \3dlabs\perm2\disp\gdi.h@line: 24 */       // Space for enumerating complex clipping
} ClipEnum;                         /* ce, pce */

VOID
vClip(	
	CLIPOBJ* pco,
	RECTL*   prclSrc, 
	RECTL*   prclDst, 
	POINTL*  pptlSrc,
	RECTL**	 ppRects,
	LONG*	 lNumRects,
	PMirrSurf psurfSrc,
	PMirrSurf psurfDst);

BOOL
bIntersect(
    RECTL*  pRcl1,
    RECTL*  pRcl2,
    RECTL*  pRclResult);

LONG
cIntersect(
    RECTL*  pRclClip,
    RECTL*  pRclIn,
    LONG    lNumOfRecs);

void 
vFreeRectList(
	RECTL** ppRects);

#endif // __CLIP__


