/* Copyright 2004, 2005 Lei Zhang, Columbia University */
/* This file is part of THINC.

    THINC is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    THINC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with THINC.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifdef _WIN32_WINNT 
#undef _WIN32_WINNT
#endif
#define _WIN32_WINNT 0x0500 
#include ".\tsnetwork.h"
#include "thincProto.h"
#include "thincCommon.h"
#include "windows.h"
#include <stdio.h>

thinc_header cheader;
extern const char server_version[3];

void TSNetwork()
{
	WSADATA wsaData;
	int iResult;

	// Initialize Winsock
	iResult = WSAStartup(MAKEWORD(2,2), &wsaData);
	if (iResult != NO_ERROR)
		printf("Error at WSAStartup()\n");

	//// Create a SOCKET object.
	//listen_socket = socket(AF_INET, SOCK_STREAM, IPPROTO_TCP);
	//if (listen_socket == INVALID_SOCKET) {
	//	printf("Error at socket(): %ld\n", WSAGetLastError());
	//	WSACleanup();
	//	return;
	//}

	//// Set the socket I/O mode: In this case FIONBIO
	//// enables or disables the blocking mode for the 
	//// socket based on the numerical value of iMode.
	//// If iMode = 0, blocking is enabled; 
	//// If iMode != 0, non-blocking mode is enabled.
	////isBlkIO = TRUE;
	//iMode = 0;
	//ioctlsocket(listen_socket, FIONBIO, (u_long FAR*) &iMode);

	////iBufferTotal = 0;
	////iBufferUsed = 0;    
}

void TSNetworkTearDown(void)
{
}
//
//int SetBlkIO(void)
//{
//	// Set the socket I/O mode: In this case FIONBIO
//	// enables or disables the blocking mode for the 
//	// socket based on the numerical value of iMode.
//	// If iMode = 0, blocking is enabled; 
//	// If iMode != 0, non-blocking mode is enabled.
//	int iMode = 0;
//	ioctlsocket(sock, FIONBIO, (u_long FAR*) &iMode);
//	isBlkIO = TRUE;
//	return 0;
//}


//
//int ReadToBuffer(HANDLE hEvent)
//{
//	int len = sizeof(inputBuffer) - iBufferTotal;
//	int res;
//	if (len == 0)
//	{
//		if (iBufferUsed == sizeof(inputBuffer))
//		{
//			//memmove(inputBuffer, &inputBuffer[iBufferUsed], iBufferTotal - iBufferUsed);
//			//iBufferTotal = iBufferTotal - iBufferUsed;
//			iBufferTotal = 0;
//			iBufferUsed = 0;
//		}
//		else
//		{
//			SetEvent(hEvent);
//			return 0;
//		}
//	}
//	
//	res = recv(sock, (&inputBuffer[iBufferTotal]), len, 0);
//	if (res >= 0)
//	{           
//		iBufferTotal += res;
//	}
//	else
//	{
//		res = WSAGetLastError();
//		if (res == WSAECONNRESET)
//			return -1;
//	}
//	return res;
//}
//
//BOOL Accept(unsigned short _port)
//{
//	
//	// 
//	int iMode;
//	struct sockaddr_in service;
//	port = _port;
//	service.sin_family = AF_INET;
//	service.sin_addr.s_addr = inet_addr("0.0.0.0");
//	service.sin_port = htons((u_short)(u_short)port);
//	
//
//	// Bind the socket.
//	if (bind(listen_socket, (SOCKADDR*) &service,sizeof(service)) == SOCKET_ERROR) 
//	{
//		printf("bind() failed.\n");
//		closesocket(listen_socket);
//		return FALSE;
//	}
//
//	printf("Accept(): bind succeed\n");
//
//	// Listen to the sockset
//	if (listen(listen_socket, 1) == SOCKET_ERROR)
//	{
//		printf("Error listening on socket.\n");
//		closesocket(listen_socket);
//		return FALSE;
//	}
//
//	printf("Accept(): listen succeed\n");
//
//	// Accept a connection 
//    while(1) 
//	{
//		sock = SOCKET_ERROR;
//		while( sock == SOCKET_ERROR ) 
//			sock = accept( listen_socket, NULL, NULL );
//		printf("Client connected.\n");
//		
//		//int one = 1;
//		//setsockopt(sock, IPPROTO_TCP, TCP_NODELAY, (char*)&one, sizeof(one));
//
//		break;
//	}
//	
//	// Set the socket I/O mode: In this case FIONBIO
//	// enables or disables the blocking mode for the 
//	// socket based on the numerical value of iMode.
//	// If iMode = 0, blocking is enabled; 
//	// If iMode != 0, non-blocking mode is enabled.
//	iMode = 0;
//	isBlkIO = TRUE;
//	ioctlsocket(sock, FIONBIO, (u_long FAR*) &iMode);
//	return TRUE;
//}
//
//int Send(void* data, int size)
//{
//	// Warning!!!
//	// This is an imcomplete version of Send()
//	int res;
//	int left = size;
//	char *p = (char*) data;
//	do {
//		res = send(sock, (const char*)p, left, 0 );
//		if (res >= 0) 
//		{
//			left -= res;
//			p += res;
//			res = WSAGetLastError();
//		}
//		if (res == SOCKET_ERROR)
//		{
//			res = WSAGetLastError();
//			if (res == WSAECONNRESET)
//				return -1;
//			else if (res == WSAEWOULDBLOCK)
//				Sleep(10);
//		}
//	} while (left > 0);
//	return size;
//}
//
//int SendBlock(void* data, int size)
//{
//	char* p = (char*)data;
//	int remaining = size;
//	int res;
//	while (remaining > 0)
//	{
//		res = send(sock, p, remaining, 0);
//		if (res <= 0) 
//		{
//			return -1;
//		}
//		else
//		{
//			p += res;
//			remaining -= res;
//		}
//	}
//	return size;
//}
//
//int Recv(void* buf, int buf_len)
//{	
//	// Warning!!!
//	// This is an imcomplete version of Recv()
//	int res; 
//	int left = buf_len;
//	char* p = (char*) buf;
//	int count = 0;
//	while (left > 0) {
//		res = recv(sock, (char*)p, left, 0);
//		if (res >= 0) 
//		{
//			left -= res;
//			p += res;
//			//res = WSAGetLastError();
//		} 
//		else if (res == SOCKET_ERROR)
//		{
//			res = WSAGetLastError();
//			if (res == WSAECONNRESET)
//				return -1;
//			if (res == WSAEWOULDBLOCK)
//			{
//				if (left == buf_len && count++ > 10)
//					return 0;	//FIXME;
//				else
//				{
//					printf("Recv(): res = %d, left = %d, buffer_len = %d, count = %d\n", 
//						res, left, buf_len, count);
//					Sleep(100);
//				}
//			}
//			else 
//				return -1;
//			
//			//printf("Recv(): SOCKET_ERROR, res = %d\n", res);
//		}
//	} ;
//	return buf_len;
//}
//
//int Recv2(void* buf, int buf_len)
//{	
//	if (iBufferTotal - iBufferUsed < buf_len) 
//	{
//		return -1;
//	}
//	else
//	{
//		memcpy(buf, &inputBuffer[iBufferUsed], buf_len);
//		iBufferUsed += buf_len;
//		return buf_len;
//	}
//}
//
//int RecvBlock(void* buf, int buf_len)
//{
//	return 0;
//}
//
//int ResetBlkIO(void)
//{
//	// Set the socket I/O mode: In this case FIONBIO
//	// enables or disables the blocking mode for the 
//	// socket based on the numerical value of iMode.
//	// If iMode = 0, blocking is enabled; 
//	// If iMode != 0, non-blocking mode is enabled.
//	int iMode = 1;
//	ioctlsocket(sock, FIONBIO, (u_long FAR*) &iMode);
//	isBlkIO = FALSE;
//	return 0;
//}
//
//int SendPacket(int type, void* pckt, int size, int flags)
//{
//	int res;
//	thinc_header header;
//	header.type = type;
//	header.length = size;
//	header.flags = flags;
//	if ((res = Send(&header,4)))
//	{
//		return Send(pckt, size);
//	}
//	else
//	{
//		return res;
//	}
//}
//
//int Send_sStart(char version[])
//{
//	thinc_sStart sstart;
//	sstart.byte_order = T_LITTLE;
//	sstart.version[0] = version[0];
//	sstart.version[1] = version[1];
//	sstart.version[2] = version[2];
//	return SendPacket(T_SSTART, &sstart, T_SSTART_SIZE, 0);
//}
//
//
//
//int Send_sAck(void)
//{
//	thinc_sAck sack;
//	sack.ack = 1;
//	return SendPacket(T_SACK, &sack, T_SACK_SIZE, 0);
//}
//
//int Send_sNak(void)
//{
//	thinc_sAck sack;
//	sack.ack = 0;
//	return SendPacket(T_SACK, &sack, T_SACK_SIZE, 0);
//}
//
//int Send_fbInit(TSframeBuffer* fb, 
//						   TSCursor* cursor, 
//						   int cursorX, /* cursor position */
//						   int cursorY)
//{
//	thinc_fbInit fbInit;
//	int res;
//	char* p;
//	int eff_stride;
//	int i;
//
//	fbInit.width = htons((u_short)(u_short)fb->width);
//	fbInit.height = htons((u_short)(u_short)fb->height);
//	fbInit.depth = fb->depth;
//	fbInit.bpp = fb->bpp;
//
//	fbInit.cursorSize = htons((u_short)(u_short)cursor->cursorSize);
//	fbInit.cursorBG = htonl(cursor->cursorBG);
//	fbInit.cursorFG = htonl(cursor->cursorFG);
//	fbInit.cursorHeight = cursor->cursorHeight;
//	fbInit.cursorWidth = cursor->cursorWidth;
//	fbInit.cursorX = htons((u_short)(u_short)cursorX);
//	fbInit.cursorY = htons((u_short)(u_short)cursorY);
//	fbInit.cursorXHot = cursor->xHot;
//	fbInit.cursorYHot = cursor->yHot;
//
//	if (SendPacket(T_FB_INIT, &fbInit, T_FB_INIT_SIZE, 0) < 0) 
//	{
//		printf("Send_fbInit(): error in sending fbInit packet.\n");
//		return TS_ERR_FBINIT;
//	}
//
//	res = RecvAck();
//	
//	if (res == TS_ERR_RECVACK)
//	{
//		printf("Send_fbInit(): error in receiving the client's ACK.\n");
//		return TS_ERR_FBINIT;
//	}
//
//	if (!res)
//	{
//		printf("Send_fbInit(): client denies the server's Initial information.\n");
//		return TS_ERR_FBINIT_CLIENT_DENY;
//	}
//
//	// client has accepted the server's version
//
//	if (cursor->cursorSize > 0)
//	{
//		if (Send_cursorMap(cursor) < 0)
//		{
//			printf("Send_fbInit(): error in sending cursor source and mask ");
//			return TS_ERR_FBINIT;		
//		}
//	}
//
//	p = (char*)fb->fb;
//	eff_stride = fb->width * fb->bpp / 8;
//
//	for (i = 0; i < fb->height; i++)
//	{
//		if (Send(p, eff_stride) != eff_stride)
//		{
//			printf("Send_fbInit(): sending frame buffer error in line %d.\n", i);
//			return TS_ERR_FBINIT;		
//		}
//		p += fb->stride;
//	}
//
//	res = RecvAck();
//
//	if (res < 0)
//	{
//		printf("Send_fbInit(): error occurs when client the initializing the frame buffer.\n");
//		return TS_ERR_FBINIT;			
//	}
//
//	if (res == 0)
//	{
//		printf("Send_fbInit(): NAK from client after frame buffer initialization.\n");
//		return TS_ERR_FBINIT;			
//	}
//
//    return 0;
//}
//
//int GetEvent(HANDLE hEvent)
//{
//
//	int res;
//	INPUT input;
//
//	if (iBufferTotal - iBufferUsed < 9) 
//	{
//		//SetEvent(hEvent);	
//		return TS_ERR_RECVPACKET;
//	}
//
//	res = RecvHeader2();
//	if (res < 0) 
//	{
//		printf("GetEvent(): error in receiving packet header.\n");
//		return TS_ERR_RECVPACKET;
//	} 
//	//else if (res == 0)
//	//{
//	//	return TS_ERR_RECVPACKET;
//	//}
//
//	//ResetEvent(hEvent);
//
//	memset(&input, 0, sizeof(input));
//	
//	switch (cheader.type)
//	{
//	case T_EV_MOTION:
//	{
//		thinc_evMotion evmotion;
//		int res;
//retry:
//		res = Recv2(&evmotion, T_EV_MOTION_SIZE);
//
//		if (res < 0)
//		{
//			printf("GetEvent(): error in receiving evMoution packet.\n");
//			return TS_ERR_RECVPACKET;
//		}
//		else if (res == 0) 
//		{
//			Sleep(10);
//			goto retry;
//		}
//		else 
//		{
//			//printf("GetEvent(): Get a mouse motion event packet at (%d, %d).\n",
//			//	ntohs(evmotion.x), ntohs(evmotion.y));
//
//			//SetCursorPos(ntohs((u_short)evmotion.x), ntohs((u_short)evmotion.y));
//			//return 0;
//
//			input.type = INPUT_MOUSE;
//			input.mi.dx = ntohs(evmotion.x);
//			input.mi.dy = ntohs(evmotion.y);
//			input.mi.dwFlags = MOUSEEVENTF_ABSOLUTE | MOUSEEVENTF_MOVE;
//		}
//		break;	
//	}
//	case T_EV_BUTTON:
//	{
//		thinc_evButton evbutton;
//		int res;
//retry2:
//		res = Recv2(&evbutton, T_EV_BUTTON_SIZE);
//		if (res < 0)
//		{
//			printf("GetEvent(): error in receiving evButton packet.\n");
//			return TS_ERR_RECVPACKET;
//		}
//		else if (res == 0)
//		{
//			Sleep(100);
//			goto retry2;
//		} 
//		else 
//		{
//			input.type = INPUT_MOUSE;
//			if (evbutton.buttonMask & 0x80)
//			{
//				//
//				// Button down
//				// 
//				if ((evbutton.buttonMask & 0x7f) == LBUTTON)
//				{
//					input.mi.dwFlags = MOUSEEVENTF_LEFTDOWN;
//				}
//				else if ((evbutton.buttonMask & 0x7f) == RBUTTON)
//				{
//					input.mi.dwFlags = MOUSEEVENTF_RIGHTDOWN;
//				}
//				else if ((evbutton.buttonMask & 0x7f) == MBUTTON)
//				{
//					input.mi.dwFlags = MOUSEEVENTF_MIDDLEDOWN;
//				}
//			}
//			else
//			{
//				//
//				// Button up
//				//
//				if ((evbutton.buttonMask & 0x7f) == LBUTTON)
//				{
//					input.mi.dwFlags = MOUSEEVENTF_LEFTUP;
//				}
//				else if ((evbutton.buttonMask & 0x7f) == RBUTTON)
//				{
//					input.mi.dwFlags = MOUSEEVENTF_RIGHTUP;
//				}
//				else if ((evbutton.buttonMask & 0x7f) == MBUTTON)
//				{
//					input.mi.dwFlags = MOUSEEVENTF_MIDDLEUP;
//				}
//			}
//		}
//		break;
//	}
//	case T_EV_KEYB:
//	{
//		thinc_evKeyb evkeyb;
//		if (Recv2(&evkeyb, T_EV_KEYB_SIZE) < 0)
//		{
//			printf("GetEvent(): error in receiving evKeyb packet.\n");
//			return TS_ERR_RECVPACKET;
//		}
//		else
//		{
//			input.type = INPUT_KEYBOARD;
//			input.ki.wVk = (WORD)ntohl(evkeyb.key);
//			if (evkeyb.down)
//			{
//				input.ki.dwFlags &= ~KEYEVENTF_KEYUP;
//			}
//			else
//			{
//				input.ki.dwFlags |= KEYEVENTF_KEYUP;
//			}
//		}
//		break;
//	}
//	}
//	SendInput(1, &input, sizeof(input));
//	return 0;	
//}
//
//int RecvHeader(void)
//{
//	// 
//	// Each field in header is 8-bit width. We don't have to reverse them.
//	//
//	int res = Recv(&cheader, THINC_HEADERSIZE);
//	if (res == 0)
//		return -1;
//	else if (res != THINC_HEADERSIZE)
//		return -1;
//	else
//		return 0;
//}
//
//int RecvHeader2(void)
//{
//	// 
//	// Each field in header is 8-bit width. We don't have to reverse them.
//	//
//	int res = Recv2(&cheader, THINC_HEADERSIZE);
//	if (res <= 0)
//		return -1;
//	else if (res != THINC_HEADERSIZE)
//		return -1;
//	else
//		return 0;
//}
// 
//int RecvAck(void)
//{
//	thinc_cAck ack;
//	int res = RecvHeader();
//
//	if (res < 0)
//	{
//		printf("RecvAck(): corrupted header.\n");
//		return TS_ERR_RECVACK;
//	}
//	if (cheader.type != T_CACK)
//	{
//		printf("RecvAck(): unexpected packet. A T_CACK is requrired.\n");
//		return TS_ERR_RECVACK;
//	}
//	if (Recv(&ack, T_CACK_SIZE) < 0)
//	{
//		printf("RecvAck(): corrupted ACK packet .\n");
//		return TS_ERR_RECVACK;
//	}
//	return ack.ack;
//}
//
//int Send_fbSFill(int flags, int pixel, int numRects, thinc_rectRegion rects[])
//{
//
//	thinc_fbSFill fbsfill;
//	int i;
//
//	fbsfill.pixel = htonl(pixel);
//	fbsfill.numrects = htons((u_short)(u_short)numRects);
//
//	printf("Send_fbSFill(): pixel = %x.\n", pixel);
//
//	if (SendPacket(T_FB_SFILL, &fbsfill, T_FB_SFILL_SIZE, 0) < 0)
//	{
//		printf("Send_fbSFill(): Sending fbSfill packet error.\n");
//		return TS_ERR_SFILL;
//	}
//	for (i = 0; i < numRects; i++)
//	{
//		printf("Send_fbSFill(): x = %d, y = %d, width = %d, height = %d.\n", 
//			rects[i].x, rects[i].y, rects[i].width, rects[i].height);
//		rects[i].height = htons((u_short)rects[i].height);
//		rects[i].width = htons((u_short)rects[i].width);
//		rects[i].x = htons((u_short)rects[i].x);
//		rects[i].y = htons((u_short)rects[i].y);			
//	}
//
//	if (Send(rects, sizeof(thinc_rectRegion)*numRects) < 0)
//	{
//		printf("Send_fbSFill(): Sending rectangles error.\n");
//		return TS_ERR_SFILL;
//	}
//	return 0;
//}
//
//int Send_RawUpdate(int flags, int x, int y, int width, int height, int stride, int bpp, void* data)
//{
//	int byteWidth = width * bpp / 8;
//	int i;
//	char* p;
//	thinc_rawUpdate rawupdate;
//	rawupdate.x = htons((u_short)x);
//	rawupdate.y = htons((u_short)y);
//	rawupdate.height = htons((u_short)height);
//	rawupdate.width = htons((u_short)width);
//	printf("Send_RawUpdate(): x = %d, y = %d, height = %d, width = %d, bpp = %d, stride = %d.\n", 
//		x, y, height, width, bpp, stride);
//
//	if (SendPacket(T_FB_RUPDATE, &rawupdate, T_FB_RUPDATE_SIZE, 0) < 0)
//	{
//		printf("Send_RawUpdate(): Error in sending rawUpdate packet.\n");
//		return TS_ERR_RAWUPDATE;
//	}
//	p = ((char*)data) + ((stride * y) + x * bpp / 8);
//	//int stride = width * bpp / 8;
//
//	for (i = 0; i < height; i++)
//	{
//		if (Send(p, byteWidth ) < 0)
//		{
//			printf("Send_RawUpdate(): Error in sending the data of line %d.\n", i);
//			return TS_ERR_RAWUPDATE;
//		}
//		p += stride;
//	}
//
//	//u_long uldata = 0x0000ff00;
//	//for (int i = 0; i < height*stride/4; i++)
//	//	Send(&uldata, 4);
//	return 0;
//}
//
//int Send_fbPFill(int flags, int x, int y, int width, int height, int bpp, int numRects, 
//							void* pixelmap, thinc_rectRegion rects[])
//{
//	int i;	
//	thinc_fbPFill fbpfill;
//	fbpfill.x = htons((u_short)x);
//	fbpfill.y = htons((u_short)y);
//	fbpfill.width = htons((u_short)width);
//	fbpfill.height = htons((u_short)height);
//	fbpfill.numrects = htons((u_short)numRects);
//
//	if (SendPacket(T_FB_PFILL, &fbpfill, T_FB_PFILL_SIZE, flags) < 0)
//	{
//		printf("Send_fbPFill(): Error in sending fbPFill packet.\n");
//		return TS_ERR_PFILL;
//	}
//
//	if (Send(pixelmap, width*height*bpp/8) < 0)
//	{
//		printf("Send_fbPFill(): Error in sending pixel maps.\n");
//		return TS_ERR_PFILL;
//	}
//
//	for (i = 0; i < numRects; i++)
//	{
//		rects[i].height = htons((u_short)rects[i].height);
//		rects[i].width = htons((u_short)rects[i].width);
//		rects[i].x = htons((u_short)rects[i].x);
//		rects[i].y = htons((u_short)rects[i].y);			
//	}
//
//	if (Send(rects, sizeof(thinc_rectRegion)*numRects) < 0)
//	{
//		printf("Send_fbPFill(): Error in sending rectangles.\n");
//		return TS_ERR_PFILL;
//	}
//	return 0;
//}
//
//int Send_fbGlyph(int flags, int x, int y, int width, int height, u_long color,
//							int numRects, void* bitmap, thinc_rectRegion rects[])
//{
//	//printf("-->Send_fbGlyph\n");
//	//printf("x=%d, y=%d, width=%d, height=%d, color=%x, numRects=%d\n",
//	//	x, y, width, height, color, numRects);
//	char* p;
//	int i;
//	thinc_fbGlyph fbglyph;
//	fbglyph.x = htons((u_short)x);
//	fbglyph.y = htons((u_short)y);
//	fbglyph.width = htons((u_short)width);
//	fbglyph.height = htons((u_short)height);
//	fbglyph.numrects = htons((u_short)numRects);
//	
//	fbglyph.color = htonl(color);
//
//	if (SendPacket(T_FB_GLYPH, &fbglyph, T_FB_GLYPH_SIZE, flags) < 0)
//	{
//		printf("Send_fbGlyph(): Error in sending fbGlyph packet.\n");
//		return TS_ERR_GLYPH;
//	}
//
//	p = (char*)bitmap;
//	for (i = 0; i < (width+7)/8*height; i++)
//	{
//		u_char t1 = *p, t2 =0;
//		if (t1&0x01) t2 |=0x80;
//		if (t1&0x02) t2 |=0x40;
//		if (t1&0x04) t2 |=0x20;
//		if (t1&0x08) t2 |=0x10;
//		if (t1&0x10) t2 |=0x08;
//		if (t1&0x20) t2 |=0x04;
//		if (t1&0x40) t2 |=0x02;
//		if (t1&0x80) t2 |=0x01;
//		*p++ = t2;
//	}
//	printf("Send_fbGlyph(): color = %x , x = %d, y = %d, width = %d, height = %d.\n", 
//		color, x, y, width, height);
//
//	if (Send(bitmap, (width+7)/8*height) < 0)
//	{
//		printf("Send_fbGlyph(): Error in sending pixel maps.\n");
//		return TS_ERR_GLYPH;
//	}
//	for (i = 0; i < numRects; i++)
//	{
//		printf("Send_fbGlyph(): x = %d, y = %d, width = %d, height = %d.\n",
//			rects[i].x, rects[i].y, rects[i].width, rects[i].height);
//		rects[i].height = htons((u_short)rects[i].height);
//		rects[i].width = htons((u_short)rects[i].width);
//		rects[i].x = htons((u_short)rects[i].x);
//		rects[i].y = htons((u_short)rects[i].y);			
//	}
//
//	if (Send(rects, T_RECTREGION_SIZE*numRects) < 0)
//	{
//		printf("Send_fbGlyph(): Error in sending rectangles.\n");
//		return TS_ERR_GLYPH;
//	}
//	//printf("<--Send_fbGlyph\n\n");
//	return 0;
//}
//
//int Send_fbCopy(int flags, int sx, int sy, int dx, int dy, int width, int height)
//{
//	thinc_fbCopy fbcopy;
//	fbcopy.sx = htons((u_short)sx);
//	fbcopy.sy = htons((u_short)sy);
//	fbcopy.dx = htons((u_short)dx);
//	fbcopy.dy = htons((u_short)dy);
//	fbcopy.width = htons((u_short)width);
//	fbcopy.height = htons((u_short)height);
//
//	if (SendPacket(T_FB_COPY, &fbcopy, T_FB_COPY_SIZE, flags) < 0)
//	{
//		printf("Send_fbCopy(): Error in sending fbCopy packet.\n");
//		return TS_ERR_COPY;
//	}
//	return 0;
//}
//
//int RecvCStart(void)
//{
//	thinc_cStart cstart;
//	memset(&cstart, 0, sizeof(cstart));
//	if (RecvHeader() < 0 || cheader.type != T_CSTART)
//	{
//		printf("RecvCStart(): unexpected packets.\n");
//		return TS_ERR_RECVCSTART;
//	}
//	if (Recv(&cstart, T_CSTART_SIZE) != T_CSTART_SIZE)
//	{
//		printf("RecvCStart(): corrupted cstart packet.\n");
//		return TS_ERR_RECVCSTART;
//	}
//
//	printf("version[0]=%d  ", cstart.version[0]);
//	printf("version[1]=%d  ", cstart.version[1]);
//	printf("version[2]=%d\n", cstart.version[2]);
//
//	if (cstart.version[0] == server_version[0] &&
//		cstart.version[1] == server_version[1] &&
//		cstart.version[2] == server_version[2]) 
//	{
//		// 
//		// Accept the client's version.
//		//
//	}
//	else
//	{
//		//
//		// The server doesn't like the client's version.
//		//
//		return TS_ERR_RECVCSTART_VERSION;
//	}
//
//	return 0;
//}
//
//int Close(void)
//{
//    return closesocket(sock);
//}
//
//int Send_cursorChange(TSCursor* cursor)
//{
//	thinc_cursorChange cursorChange;
//	cursorChange.xhot = cursor->xHot;
//	cursorChange.yhot = cursor->yHot;
//
//	if (SendPacket(T_CURSOR_CHANGE, &cursorChange, T_CURSOR_CHANGE_SIZE, 0) < 0)
//	{
//		printf("Send_cursorChange(): error in sending T_CURSOR_CHANGE packet.\n");
//		return TS_ERR_CURSORCHANGE;
//	}
//
//	if (Send_cursorMap(cursor) < 0)
//	{
//		printf("Send_cursorChange(): error in sending cursor source and mask.\n");
//		return TS_ERR_CURSORCHANGE;
//	}
//	return 0;
//}
//
//int Send_cursorMap(TSCursor* cursor)
//{
//	//
//	// reverse the bits in each byte for both source and mask
//	//
//	int i, j;
//	BYTE* source = (BYTE*)cursor->source;
//	BYTE* mask = (BYTE*)cursor->mask;
//	for (i = 0; i < cursor->cursorSize; i++)
//	{
//		BYTE sb1 = source[i];
//		BYTE sb2 = 0;
//		BYTE mb1 = mask[i];
//		BYTE mb2 = 0;
//		BYTE bm1 = 1;
//		BYTE bm2 = 0x80;
//		for (j = 0; j < 8; j++)
//		{
//			if (sb1 & bm1) 
//			{
//				//(1, *)
//				sb2 |= bm2;
//			}
//
//			if (mb1 & bm1)
//			{
//				//(*, 1)
//				mb2 |= bm2;
//			}
//			else
//			{
//				// 
//				//(0,0)-->(1,1) Make it compatible with X 
//				//
//				if (!(sb1 & bm1))
//				{
//                    sb2 |= bm2;
//                    mb2 |= bm2;
//				}
//			}
//			bm1 <<= 1;
//			bm2 >>= 1;
//		}
//		source[i] = sb2;
//		mask[i] = mb2;
//	}
//	if (Send(cursor->source, cursor->cursorSize) < 0)
//	{
//		printf("Send_cursorMap(): error in sending cursor source.\n");
//		return TS_ERR_SENDCURSORMAP;
//	}
//	if (Send(cursor->mask, cursor->cursorSize) < 0)
//	{
//		printf("Send_cursorMap(): error in sending cursor mask.\n");
//		return TS_ERR_SENDCURSORMAP;
//	}
//	return 0;
//}
