/*
 *
 * Header for Thinc messages
 *
 * Author:
 * Ricardo Baratto
 * Network Computing Lab - Columbia University
 *
 */

#ifndef _THINC_MSG_H_
#define _THINC_MGS_H_

/* Uncomment to disable all commands except RAW. You can also do it at runtime
 * using config options */
/*
#define DISABLE_NORAW
 */

/* New message stack functions */
int thinc_rawInitStack(thincClientPtr cl);
void thinc_rawDestroyStack(thincClientPtr cl);
int thinc_bitmapInitStack(thincClientPtr cl);
void thinc_bitmapDestroyStack(thincClientPtr cl);
int thinc_pixmapInitStack(thincClientPtr cl);
void thinc_pixmapDestroyStack(thincClientPtr cl);

#endif
