/******************************Module*Header**********************************\
 *
 *                           *******************
 *                           * GDI SAMPLE CODE *
 *                           *******************
 *
 * Module Name: clip.c
 *
 * Clipping code.
 *
 * Copyright (c) 1994-1998 3Dlabs Inc. Ltd. All rights reserved.
 * Copyright (c) 1995-1999 Microsoft Corporation.  All rights reserved.
 *****************************************************************************/
#include "clip.h"
#define CLIP_DBG_LEV 2

/* refer to \3dlabs\perm2\disp\clip.c@line: 18 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 19 */
//
/* refer to \3dlabs\perm2\disp\clip.c@line: 21 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 22 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 23 */
//		Either pRcl1 or pRcl2 can be NULL, but not both.
//
//
/* refer to \3dlabs\perm2\disp\clip.c@line: 25 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 26 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 27 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 28 */
//
/* refer to \3dlabs\perm2\disp\clip.c@line: 30 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 31 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 32 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 33 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 34 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 35 */
    DISPDBG((7, "bIntersect called--pRcl1=0x%x, pRcl2=0x%x, pRclResult=0x%x",
/* refer to \3dlabs\perm2\disp\clip.c@line: 37 */
    
	if (pRcl1 != NULL && pRcl2 == NULL)
	{
		return FALSE;
	}

	if (pRcl1 == NULL && pRcl2 != NULL)
	{
		*pRclResult = *pRcl2;
		return TRUE;
	}
	 
	if  (pRcl1 != NULL && pRcl2 == NULL)
	{
		*pRclResult = *pRcl1;
		return TRUE;
	}

/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 527 */
/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 528 */

    //
    // Check if there an intersection horizontally
    //
/* refer to \3dlabs\perm2\disp\clip.c@line: 45 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 46 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 47 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 48 */

/* refer to \3dlabs\perm2\disp\clip.c@line: 50 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 51 */
            //
/* refer to \3dlabs\perm2\disp\clip.c@line: 53 */
            //
/* refer to \3dlabs\perm2\disp\clip.c@line: 55 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 56 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 57 */

    DISPDBG((7, "bIntersect returned FALSE"));

    //
/* refer to \3dlabs\perm2\disp\clip.c@line: 62 */
    //
/* refer to \3dlabs\perm2\disp\clip.c@line: 64 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 65 */// bIntersect()

/* refer to \3dlabs\perm2\disp\clip.c@line: 67 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 68 */
//
/* refer to \3dlabs\perm2\disp\clip.c@line: 70 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 71 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 72 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 73 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 74 */
//
// pRclClip can be NULL.
//
/* refer to \3dlabs\perm2\disp\clip.c@line: 76 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 77 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 78 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 79 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 80 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 81 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 82 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 83 */

    DISPDBG((7, "cIntersect called--pRclClip=0x%x, pRclIn=0x%x,lNumOfRecs=%ld",
/* refer to \3dlabs\perm2\disp\clip.c@line: 86 */

	if (pRclClip == NULL)
	{
		//
		// We don't need to clip.
		//
		return lNumOfRecs;
	}

/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 563 */
/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 564 */        // Put the result in place as the input

    //
    // Validate input parameter
    //
    ASSERT( ((pRclIn != NULL ) && (pRclClip != NULL) && ( lNumOfRecs >= 0 )),
/* refer to \3dlabs\perm2\disp\clip.c@line: 95 */    

/* refer to \3dlabs\perm2\disp\clip.c@line: 97 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 98 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 99 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 100 */

/* refer to \3dlabs\perm2\disp\clip.c@line: 102 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 103 */
            //
/* refer to \3dlabs\perm2\disp\clip.c@line: 105 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 106 */
            //
/* refer to \3dlabs\perm2\disp\clip.c@line: 108 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 109 */

/* refer to \3dlabs\perm2\disp\clip.c@line: 111 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 112 */
                //
/* refer to \3dlabs\perm2\disp\clip.c@line: 114 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 115 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 116 */
                //
/* refer to \3dlabs\perm2\disp\clip.c@line: 118 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 119 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 120 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 121 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 122 */// loop through all the input rectangles

    DISPDBG((7, "cIntersect found %d intersections", cIntersections));
    return(cIntersections);
}// cIntersect()

// Allocate an array of RECTL. The number of array elements is 
// stored in rectNum on return.
void vAllocRectList(RECTL** ppRect, INT* rectNum)
{
	while (*rectNum > 0)
	{
		*ppRect = EngAllocMem(FL_NONPAGED_MEMORY, sizeof(RECTL)*(*rectNum), MKTAG("CLIP"));
		if (ppRect != NULL)
			break;
		*rectNum >>= 1;
	}
}

void vFreeRectList(RECTL** ppRects)
{
	if (ppRects != NULL && *ppRects != NULL)
	{
		EngFreeMem(*ppRects);
		*ppRects = NULL;
	}
}

/* refer to \3dlabs\perm2\disp\clip.c@line: 67 */
// VOID vClip
//
/* refer to \3dlabs\perm2\disp\clip.c@line: 131 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 132 */
//
/* refer to \3dlabs\perm2\disp\clip.c@line: 134 */
// 
/* refer to \3dlabs\perm2\disp\clip.c@line: 136 */
// prclSrc--pointer to source rectangle
// prclDst--pointer to destination rectangle(NULL when clipping is not required)
/* refer to \3dlabs\perm2\disp\clip.c@line: 140 */
// ppRects--pointer to a retangle list (OUTPUT parameter)
// lNumRects - pointer to the number of retangles (OUTPUT parameter)
/* refer to \3dlabs\perm2\disp\clip.c@line: 138 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 139 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 141 */
//
/* refer to \3dlabs\perm2\disp\clip.c@line: 144 */
//
/* refer to \3dlabs\perm2\disp\clip.c@line: 146 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 147 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 148 */
//
/* refer to \3dlabs\perm2\disp\clip.c@line: 150 */

VOID vClip(	CLIPOBJ* pco,
			RECTL*   prclSrc, 
			RECTL*   prclDst, 
			POINTL*  pptlSrc,
			RECTL**	 ppRects,
			LONG*	 lNumRects,
			PMirrSurf psurfSrc,
			PMirrSurf psurfDst
			)
{
	INT rectNum;
	INT rectLeft;

/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 811 */
/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 812 */
		DISPDBG((CLIP_DBG_LEV, " vClip: pco->iDComplexity == DC_TRIVIAL, lNumRects = 1\n"));
		if (prclDst == NULL)
		{
			*ppRects = NULL;
			*lNumRects = 0;
		}
		else
		{
			*lNumRects = 1;
			vAllocRectList(ppRects, lNumRects);
			ASSERT((*ppRects != NULL),
				"vClip: not enough memory for clipping");
			**ppRects = *prclDst;
		}
		//ppb->pgfn(ppb);
    }
/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 817 */
/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 818 */
		DISPDBG((CLIP_DBG_LEV, " vClip: pco->iDComplexity == DC_RECT, lNumRects = 1\n"));
        *lNumRects = 1;
		vAllocRectList(ppRects, lNumRects);
		ASSERT((*ppRects != NULL),
			"vClip: not enough memory for clipping");

		if (bIntersect(prclDst, &pco->rclBounds, *ppRects))
        {
            *lNumRects = 1;
            //ppb->pgfn(ppb);
        }
		else
		{
			vFreeRectList(ppRects);
			*lNumRects = 0;
		}
    }
    else
    {
/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 1554 */
/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 1556 */
/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 1551 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 178 */

/* refer to \3dlabs\perm2\disp\clip.c@line: 180 */
        if(psurfDst == psurfSrc)
        {
/* refer to \3dlabs\perm2\disp\clip.c@line: 183 */

            if(pptlSrc != NULL)
            {
                lXSrc = pptlSrc->x;
                lYSrc = pptlSrc->y;
            }
            else
            {
				ASSERT((prclSrc != NULL), 
					"vClip: prclSrc == NULL\n");
                lXSrc = prclSrc->left;
                lYSrc = prclSrc->top;
            }

/* refer to \3dlabs\perm2\disp\clip.c@line: 196 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 197 */
            offset = (prclDst->top - lYSrc) << 16;
            offset += (prclDst->left - lXSrc);
/* refer to \3dlabs\perm2\disp\clip.c@line: 200 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 201 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 202 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 203 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 204 */

		//
		// Initialize the RECTL list
		//
		rectNum = CLIP_LIMIT;
		vAllocRectList(ppRects, &rectNum);
		ASSERT((rectNum != 0),
			"vClip: not enough memory for clipping");
		rectLeft = rectNum;
		*lNumRects = 0;

/* refer to \3dlabs\perm2\disp\clip.c@line: 207 */

/* refer to \3dlabs\perm2\disp\clip.c@line: 209 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 210 */
/* refer to \3dlabs\perm2\disp\clip.c@line: 211 */

/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 833 */

			DISPDBG((CLIP_DBG_LEV, " vClip: c=%d, rectLeft=%d, rectNum=%d, lNumRects=%d\n",
				c, rectLeft, rectNum, *lNumRects));

/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 835 */
/* refer to \3dlabs\perm3\disp\gdi\bitblt.c@line: 836 */
				if (c > rectLeft) 
				{
					//
					// The list is not long enough. Let's allocate a longer one.
					//
					RECTL* tRcl;
					INT    tNum;
					DISPDBG((CLIP_DBG_LEV, " vClip: c>rectleft: c=%d, rectLeft=%d, rectNum=%d, lNumRects=%d\n",
						c, rectLeft, rectNum, *lNumRects));
					tNum = max(rectNum * 2, (*lNumRects) + c);
					vAllocRectList(&tRcl, &tNum);
					
					ASSERT((tNum >= (*lNumRects) + c),
						"vClip: not enough memory for clipping");

					memcpy(tRcl, *ppRects, sizeof(RECTL)*(*lNumRects));
					rectLeft = tNum - (*lNumRects);
					rectNum = tNum;
					EngFreeMem(*ppRects);
					*ppRects = tRcl;
				}

				memcpy((*ppRects)+(*lNumRects), ce.arcl, sizeof(RECTL)*c);
				*lNumRects += c;
				rectLeft -= c;

				//*ppRects = ce.arcl;
				//*lNumRects = c;
                //ppb->pgfn(ppb);
				
            }
			

        } while (bMore);

		if (*lNumRects == 0)
		{
			vFreeRectList(ppRects);
			*lNumRects = 0;
		}
    }
}
