/******************************Module*Header*******************************\
* Module Name: rops.c
*
*
* Utility routines to manilpulate rop codes.
*
* Copyright (c) 1998 Microsoft Corporation
*
\**************************************************************************/

#include "precomp.h"

//
/* refer to \3dlabs\perm2\disp\rops.c@line: 14 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 15 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 16 */
// 

/* refer to \3dlabs\perm2\disp\rops.c@line: 19 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 20 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 21 */     // (R2_WHITE & 0xff)
/* refer to \3dlabs\perm2\disp\rops.c@line: 22 */     // R2_BLACK
/* refer to \3dlabs\perm2\disp\rops.c@line: 23 */               // R2_NOTMERGEPEN
/* refer to \3dlabs\perm2\disp\rops.c@line: 24 */               // R2_MASKNOTPEN
/* refer to \3dlabs\perm2\disp\rops.c@line: 25 */               // R2_NOTCOPYPEN
/* refer to \3dlabs\perm2\disp\rops.c@line: 26 */               // R2_MASKPENNOT
/* refer to \3dlabs\perm2\disp\rops.c@line: 27 */     // R2_NOT
/* refer to \3dlabs\perm2\disp\rops.c@line: 28 */     // R2_XORPEN
/* refer to \3dlabs\perm2\disp\rops.c@line: 29 */               // R2_NOTMASKPEN
/* refer to \3dlabs\perm2\disp\rops.c@line: 30 */               // R2_MASKPEN
/* refer to \3dlabs\perm2\disp\rops.c@line: 31 */               // R2_NOTXORPEN
/* refer to \3dlabs\perm2\disp\rops.c@line: 32 */               // R2_NOP
/* refer to \3dlabs\perm2\disp\rops.c@line: 33 */               // R2_MERGENOTPEN
/* refer to \3dlabs\perm2\disp\rops.c@line: 34 */       // R2_COPYPEN
/* refer to \3dlabs\perm2\disp\rops.c@line: 35 */               // R2_MERGEPENNOT
/* refer to \3dlabs\perm2\disp\rops.c@line: 36 */               // R2_MERGEPEN
/* refer to \3dlabs\perm2\disp\rops.c@line: 37 */      // R2_WHITE
/* refer to \3dlabs\perm2\disp\rops.c@line: 38 */

//
/* refer to \3dlabs\perm2\disp\rops.c@line: 41 */
//

/* refer to \3dlabs\perm2\disp\rops.c@line: 44 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 45 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 46 */        // 0
/* refer to \3dlabs\perm2\disp\rops.c@line: 47 */          // DSon
/* refer to \3dlabs\perm2\disp\rops.c@line: 48 */ // DSna
/* refer to \3dlabs\perm2\disp\rops.c@line: 49 */  // Sn
/* refer to \3dlabs\perm2\disp\rops.c@line: 50 */  // SDna
/* refer to \3dlabs\perm2\disp\rops.c@line: 51 */       // Dn
/* refer to \3dlabs\perm2\disp\rops.c@line: 52 */          // DSx
/* refer to \3dlabs\perm2\disp\rops.c@line: 53 */         // DSan
/* refer to \3dlabs\perm2\disp\rops.c@line: 54 */          // DSa
/* refer to \3dlabs\perm2\disp\rops.c@line: 55 */        // DSxn
/* refer to \3dlabs\perm2\disp\rops.c@line: 56 */         // D
/* refer to \3dlabs\perm2\disp\rops.c@line: 57 */    // DSno
/* refer to \3dlabs\perm2\disp\rops.c@line: 58 */         // S
/* refer to \3dlabs\perm2\disp\rops.c@line: 59 */   // SDno
/* refer to \3dlabs\perm2\disp\rops.c@line: 60 */           // DSo
/* refer to \3dlabs\perm2\disp\rops.c@line: 61 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 62 */

/* refer to \3dlabs\perm2\disp\rops.c@line: 64 */
//
/* refer to \3dlabs\perm2\disp\rops.c@line: 66 */
//
//
/* refer to \3dlabs\perm2\disp\rops.c@line: 69 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 70 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 71 */
//
/* refer to \3dlabs\perm2\disp\rops.c@line: 73 */

/* refer to \3dlabs\perm2\disp\rops.c@line: 75 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 76 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 77 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 78 */
    
/* refer to \3dlabs\perm2\disp\rops.c@line: 80 */

/* refer to \3dlabs\perm2\disp\rops.c@line: 82 */

/* refer to \3dlabs\perm2\disp\rops.c@line: 84 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 85 */

/* refer to \3dlabs\perm2\disp\rops.c@line: 87 */
//
/* refer to \3dlabs\perm2\disp\rops.c@line: 89 */
//
/* refer to \3dlabs\perm2\disp\rops.c@line: 91 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 92 */
//
/* refer to \3dlabs\perm2\disp\rops.c@line: 94 */

/* refer to \3dlabs\perm2\disp\rops.c@line: 96 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 97 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 98 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 99 */

/* refer to \3dlabs\perm2\disp\rops.c@line: 101 */
/* refer to \3dlabs\perm2\disp\rops.c@line: 102 */



